Bug 36673 - installer crashes when setting swap partition
installer crashes when setting swap partition
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
6.2
sparc Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-19 13:46 EDT by Brennan Thompson
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-17 16:19:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brennan Thompson 2001-04-19 13:46:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)


Installing 6.2 on sun sparcstation 2 (32MB RAM) over http connection 
through serial console (ttya).

After setting partitions using disk druid (or fdisk), i get the following 
message:

  As you don't have much memory in this machine,
  we need to turn on swap space immediately. To
  do this we'll have to write your new partition
  table to the disk immediately. Is that okay?

Selecting yes, i get the following error:

Red Hat Linux (C) 2000 Red Hat, 
Inc.                                        Swap
                  +----------+ Exception Occurred +----------+
                  |                                          |
                  | Traceback (innermost last):            # |
                  |   File "/usr/bin/anaconda.real", line  : |
                  | 342, in ?                              : |
                  |     intf.run(todo, test = test)        : |
                  |   File "/usr/lib/anaconda/text.py",    : |
                  | line 1165, in run                      : |
                  |     rc = apply (step[1](), step[2])    : |
                  |   File                                 : |
                  | "/mnt/redhat/comps/install/6.2/sparc/  : |
                  | misc/src/trees/hdimage//usr/lib/anaco  : |
                  | nda/textw/partitioning.py", line 200,  : |
                  | in __call__                            : |
                  |                                          |
                  |       +----+            +-------+        |
                  |       | OK |            | Debug |        |
                  |       +----+            +-------+        |
                  |                                          |

Please help!

Reproducible: Always
Steps to Reproduce:
1. Run setup
2. Create partitions
Comment 1 Brent Fox 2001-04-23 16:13:11 EDT
Deferring this bug.  I will reopen if plans for a future Sparc release arise.
Comment 2 Michael Fulbright 2001-09-17 16:19:03 EDT
SPARC is not a supported platform.

Note You need to log in before you can comment on or make changes to this bug.